Skip to content

Get Measurement List, Supports Search Functionality



GET /api/v1/metric_info/measurement/list

Overview

Get the list of measurements, supports search functionality.

Query Request Parameters

Parameter Name Type Required Description
search string Search keyword, used to filter measurement names
Allow empty: True
limit integer Limit the number of returned results, default is 100
Allow empty: True
$default: 100
offset integer Offset, used for pagination, default is 0
Allow empty: True
$default: 0

Parameter Additional Notes

Query the measurement list through DQL's SHOW_MEASUREMENT() function, supports search filtering.

Request Example

curl -k 'https://openapi.truewatch.com/api/v1/metric_info/measurement/list?search=cpu&limit=10&offset=0' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed

Response

{
    "code": 200,
    "content": {
        "data": [
            {
                "description": "",
                "name": "cpu",
                "type": "metric"
            }
        ],
        "declaration": {
            "business": "",
            "organization": "663dbba102482200070bbb02"
        }
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "69ba6c7800000000e49f6333367c804c"
}